Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.functions
Class FunctionMultiArgs

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.functions.Function
                  |
                  +--org.apache.xpath.functions.FunctionOneArg
                        |
                        +--org.apache.xpath.functions.Function2Args
                              |
                              +--org.apache.xpath.functions.Function3Args
                                    |
                                    +--org.apache.xpath.functions.FunctionMultiArgs

Direct Known Subclasses:
  FuncConcat

public class FunctionMultiArgs
extends Function3Args

Constructor Summary
`FunctionMultiArgs()`

Method Summary
`void` | `checkNumberArgs(int argNum)`
`void` | `setArg(Expression arg, int argNum)`

Methods inherited from class org.apache.xpath.functions.Function3Args
`getArg2`

Methods inherited from class org.apache.xpath.functions.Function2Args
`getArg1`

Methods inherited from class org.apache.xpath.functions.FunctionOneArg
`getArg0`

Methods inherited from class org.apache.xpath.functions.Function
`execute`

Methods inherited from class org.apache.xpath.Expression
`assert, error, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionMultiArgs

    public FunctionMultiArgs()

Method Detail

### setArg

    public void setArg(Expression arg,
                       int argNum)
                throws WrongNumberArgsException

  Overrides:
    setArg in class Function3Args

### checkNumberArgs

    public void checkNumberArgs(int argNum)
                         throws WrongNumberArgsException

  Overrides:
    checkNumberArgs in class Function3Args

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.